export function getMysqlHost(): string {
    if (typeof process.env.MYSQL_HOST === 'undefined') {
        throw new Error("missing env MYSQL_HOST")
    }

    return process.env.MYSQL_HOST
}

export function getMysqlPort(): number {
    if (typeof process.env.MYSQL_PORT === 'undefined') {
        throw new Error("missing env MYSQL_PORT")
    }

    return parseInt(process.env.MYSQL_PORT)
}

export function getMysqlUser(): string {
    if (typeof process.env.MYSQL_USER === 'undefined') {
        throw new Error("missing env MYSQL_USER")
    }

    return process.env.MYSQL_USER
}

export function getMysqlPassword(): string {
    if (typeof process.env.MYSQL_PASSWORD === 'undefined') {
        throw new Error("missing env MYSQL_PASSWORD")
    }

    return process.env.MYSQL_PASSWORD
}

export function getMysqlDatabase(): string {
    if (typeof process.env.MYSQL_DATABASE === 'undefined') {
        throw new Error("missing env MYSQL_DATABASE")
    }

    return process.env.MYSQL_DATABASE
}

export function getMysqlSslCaFile(): string {
    if (typeof process.env.MYSQL_SSL_CA === 'undefined') {
        throw new Error("missing env MYSQL_SSL_CA")
    }

    return process.env.MYSQL_SSL_CA
}

export function getMysqlSslCertFile(): string {
    if (typeof process.env.MYSQL_SSL_CERT === 'undefined') {
        throw new Error("missing env MYSQL_SSL_CERT")
    }

    return process.env.MYSQL_SSL_CERT
}

export function getMysqlSslKeyFile(): string {
    if (typeof process.env.MYSQL_SSL_KEY === 'undefined') {
        throw new Error("missing env MYSQL_SSL_KEY")
    }

    return process.env.MYSQL_SSL_KEY
}
